/*CSS for userprofile module Page*/
/*Padding format:  top,right,bottom,left*/
/****************************/



/*** User Profile Image ***/

/*landscape*/
.usrprflland {
   display: inline-block;
   /*width: 225px;
   height: 225px;
   overflow: hidden;
   border-radius: 50%; */
   width: 225px;
   height: 225px;
   overflow: hidden;
   border-radius: 50%;
   /*display: flex;
   justify-content: center;*/
}

.usrprflland img {
    width: auto;
    height: 100%;
    /*display: block;
    width: 100%;
    margin: auto;*/ 
}

/*Portrait*/
.usrprflport {
  float: left;
  width: 35px;
  height: 35px;
  overflow: hidden;
  border-radius: 50%;  
}

.usrprflport img {
  width: 100%;
  height: auto;
}

/*Square*/
.usrprflsqre {
  display: inline-block;
   width: 225px;
   height: 225px;
   overflow: hidden;
   border-radius: 50%; 
}

.usrprflsqre img {
    width: auto;
    height: 100%;
}

/*default glpyhicon due 
to no image uploaded*/
.usrprflglyph {
    font-size:100px;
    color:#fff;
}
.usrprflglyph a,
.usrprflglyph a:hover {
    font-size:100px;
    color:#fff;
    text-decoration: none;
}

.usrprflpic {
    text-align:center;
}

.usrprflpic .glyphicon-user {
    font-size:200px;
}

/*** Text Display ***/
.usrprflabt {
    font-weight:600;
    margin-top:5px;
    text-align:center;
    font-size:20px;
}

.usrprfldn {
    font-size:26px;
    font-weight:600;
    margin-top:5px;
    /*text-align:center;*/
}

.usrprflun {
    /*color: #777;*/
    /*margin-left: 5px;
    text-align:center;*/
    font-size:16px;
}

.usrprflrvw {
    /*margin-top: 5px;*/
}

.usrprofurl a,
.usrprofurl a:hover {
    color:#000;
    font-weight:600;
    font-size:16px;
    text-decoration:none;
}

.usrprflloc {
    color: #777;
    /*text-align:center;*/
    margin-top:5px;
}

.usrprflloc .glyphicon-map-marker {
    font-size:16px;
}

.usrprflbrk {
    margin-top: 5px;
}

.usrprflsoci {
    margin-top: 5px;
}

.profrating {
    margin-top:5px;
}

.usrproffollowing {
    padding:5px;
    border-radius:4px;
    border: 1px solid #000;
    font-weight: 600;
    text-align: center;
    /*background:#F39C12;
    color:#fff;*/
    width:75%;
    display:inline-block;
    cursor:pointer;
}

.usrproffollowing .glyphicon-heart {
    font-size:16px;
    color:red;
}

.usrproffollow {
    padding:5px;
    border-radius:4px;
    border: 1px solid #000;
    font-weight: 600;
    text-align: center;
    width:49%;
    display:inline-block;
    cursor:pointer;
}

.usrproffollow .glyphicon-heart-empty {
    font-size:16px;
}

.usrproffollowing .glyphicon-envelope {
    font-size:16px;
}

.usrprfledit {
    padding:5px;
    border-radius:4px;
    border: 1px solid #000;
    font-weight: 600;
    text-align: center;
    width:49%;
    cursor:pointer;
    margin-bottom:10px;
}

a.myprof_cp,
a.myprof_cp:hover,
a.myprof_cp:active {
    padding:5px;
}

.usrprfledit a,
.usrprfledit a:hover {
    color:#000;
}

/*** about us  ***/
.usrprflaboutlbl {
    font-size:16px;
}

.usrprflaboutlbl hr {
    margin-top: 3px;
    margin-bottom: 10px;
}

/*** Ability List ***/
.usrprflablthl {
    font-size:20px;
    font-weight:600;
    margin-top:5px;
    /*text-align:center;*/
}

.usrprflablthlact {
    color: #777;
    font-size: 18px;
}

/*** Reviews ***/
.abiliterreviewslist hr {
    margin-top: 10px;
    margin-bottom: 0px;
    color: #000;
    border: 0.5px solid #d0d0de;
}

.up_reviews_ablty_rl {
    color:#777;
}

.up_reviews_ablty_hl {
    display: inline-block;
}

.up_reviews_ablty_img {
    display: inline-block;
}

.up_reviews_ablty_img img {
    max-width:75px;
}

.up_reviews_ablty_rvwcom {
    color: #777;
}

/*** User Profile Social Media ***/

.usrprflsmicn {
    display: inline-block;
    width: 20px;
    height: 20px;
    overflow: hidden;
    border-radius: 50%;  
    margin-right:5px;
}

.usrprflsmicn img {
    width: 100%;
    height: auto;
}

.usrprflsmicn .glyphicon-link {
    font-size:20px;
    color:#000;
}

/*** ERROR Messages ***/

.myproferr {
    color:red;
    margin-top:3px;
}

/*** User Profile Masonry tiles ***/

.upabltlst {
  background: #fff;
  border: 1px solid #e7e7e7;
  margin-top: 10px;
}

.upabltlst .upablylsthl {
    font-size:18px;
    font-weight:700;
    text-align:center;
}

.userprofilemasonry a,
.userprofilemasonry a:hover {
    color:#000;
    text-decoration:none;
}

.userprofilemasonry {
    max-width: 300px;
}

.userprofilemasonry img {
    max-width: 90%;
    border-radius:16px;
    border: 1px solid #e7e7e7;
}

a.userprofilemasonry img:hover {
    -moz-box-shadow: 0 0 5px #888;
    -webkit-box-shadow: 0 0 5px#888;
    box-shadow: 0 0 5px #888;
    }

.userprofilemasonry .userprofilemasonryhl {
    font-size:14px;
    /*font-weight:700;*/
    margin-top:5px;
}

.userprofilemasonry .userprofilemasonrycost {
    display: inline-block;
    font-weight: 700;
    font-size: 16px;
}

.userprofilemasonry .userprofilemasonrycosttype {
    display: inline-block;
    /*font-weight: 700;*/
    font-size: 14px;
}

.searchallNRtext {
    font-size: 14px;
    margin-left: 8px;
    text-align: center;
}

/*** updateuserprofile page ***/
.useraccountcontainer {
    border: 1px solid #d0d0d0;
    border-radius: 4px;
}

#activateuseraccount.modal {
    margin-top:50px;
}

#deactivateuseraccount.modal {
    margin-top:50px;
}

.useracctbtn {
    text-align:center;
}

.useracctbtn .btn-default {
    font-size: 28px;
    background: #000;
    border-radius: 10px;
    font-weight: 700;
}

.useracctcnclbtn {
    text-align:center;
}

.useracctcnclbtn .closer {
    font-size: 22px;
    font-weight: bold;
    color: #000;
    background: #fff;
    cursor: pointer;
    border-radius: 10px;
}

.activateuserbtn,
.deactivateuserbtn {
    color: #337ab7;
    display: inline-block;
    cursor:pointer;
}


/*****************************/
/********Mobile Only*********/
/***************************/

/*** path-myprofile ***/

@media (max-width: 1000px) {
    
    .path-userprofile .region-content {
        margin-left: -60px;
      }
    
}

@media (min-width: 992px)  {
     
     .upabltlst .col-sm-6 {
        width:30%;
    }
    
    /*.userprofablitylistview .col-sm-6 {
        width:30%;
    }*/
    
    .usrprflaboutmbl,
    .usrprflaboutlblmbl {
        display:none;
    }
 }
 
 @media (max-width: 991px)  {
     
    .upabltlst .col-sm-6 {
        width:50%;
    }
    
    .path-abiliter .col-sm-9,
    .path-myprofile .col-sm-9,
    .path-myprofilepay .col-sm-9 {
        width:100%;
    }
    
    .path-userprofile .col-sm-9{
        width:100%;
    }
     
    .path-userprofile .region-content {
        margin-left: 0px;
    }
 
    .userprofablitylistview .col-sm-6 {
        width:50%;
    }
    
    .usrprflabout,
    .usrprflaboutlbl {
        display:none;
    }
 
 }
 
 @media (min-width: 768px) {
     
    .usrprflsocimbl {
        display:none;
    }
    
    .path-userprofile .casembl {
        display:none;
    }
    
    .path-abiliter .region-content {
        margin-left: 0px;
      }
    
 }
 
 @media (max-width: 767px) {
    
    .usrprfl {
        text-align:center;
    }
    
    .usrprflsoci {
        display:none;
    }
    
    .usrprfl .col-sm-3 {
        width:100%;
    }
    
    .path-userprofile .casedsk {
        display:none;
    }
    
    .usrproffollowing {
    padding:5px;
    border-radius:4px;
    border: 1px solid #000;
    font-weight: 600;
    text-align: center;
    /*background:#F39C12;
    color:#fff;*/
    width:40%;
    display:inline-block;
    cursor:pointer;
}
    
}

